# Filter : https://developers.google.com/speed/pagespeed/module/filters
# Admin  : https://developers.google.com/speed/pagespeed/module/admin#config

# Enable Core Filter
pagespeed RewriteLevel CoreFilters;

# Disable particular filter(s) in CoreFilters
pagespeed DisableFilters rewrite_images;

# HTTPS Support
# pagespeed FetchHttps enable;

# PageSpeed Filters
# CSS Minification
pagespeed EnableFilters combine_css,rewrite_css;

# Inline JS ??
pagespeed EnableFilters inline_javascript;

# JS Minification
pagespeed EnableFilters combine_javascript,rewrite_javascript;

# Images Optimization
pagespeed EnableFilters lazyload_images;
pagespeed EnableFilters rewrite_images;
pagespeed EnableFilters convert_jpeg_to_progressive,convert_png_to_jpeg,convert_jpeg_to_webp,convert_to_webp_lossless;

# Remove comments from HTML 
pagespeed EnableFilters remove_comments; 
# Remove WHITESPACE from HTML 
pagespeed EnableFilters collapse_whitespace;

##############################################

# Reduce DNS lookup
# pagespeed EnableFilters insert_dns_prefetch;

# Async
pagespeed EnableFilters make_google_analytics_async;
pagespeed EnableFilters make_show_ads_async;

# CDN Support
#pagespeed MapRewriteDomain cdn.example.com www.example.com;

